/* *** **** *** */
/* *** BLOG *** */
/* *** **** *** */

.single-post .content-area {
  width: 100%;
}

.single-post .wp-block-button__link {
  background: transparent;
  color: #32373c;
  text-transform: uppercase;
  letter-spacing: 1.5px;
  border: 1px solid var(--custom-grey-color);
  border-radius: 0;
  transition: all 0.3s !important;
}

.single-post .wp-block-button__link:hover {
  background: var(--custom-dark-gold-color);
  border: 1px solid var(--custom-dark-gold-color);
  color: #fff;
}

.main-article-image img {
  height: 100% !important;
  max-height: 300px !important;
  object-fit: cover !important;
  width: 100% !important;
  border-radius: 2px !important;
}

.main-article-container .block-content {
  justify-content: space-between !important;
}

.listing-item-button {
  margin-top: 2em !important;
}

.listing-item-container .listing-item-content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  box-shadow: 0px 3px 6px 1px rgba(3, 64, 120, .05);
  background-color: #fff !important;
}

.listing-item-container h2 {
  line-height: normal !important;
}

.blog-article-see-more a {
  text-decoration: underline !important;
}

.listing-item-container .featured-image img {
  aspect-ratio: 4 / 3 !important;
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
}

.listing-item-content {
  border-bottom-left-radius: 2px !important;
  border-bottom-right-radius: 2px !important;
}

.listing-blog .jet-listing-grid__item {
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
}

.block-flex-radio-filter fieldset {
  display: flex !important;
  gap: 1em !important;
}

.block-flex-radio-filter .jet-radio-list__decorator {
  display: none !important;
}

.jet-listing-dynamic-terms__link:not(.listing-post-associes .jet-listing-dynamic-terms__link),
.jet-radio-list__button .jet-radio-list__label {
  color: #a2907b;
  font-size: 12px;
  font-style: normal;
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: 1.2px;
}

.jet-radio-list__button,
.jet-listing-dynamic-terms__link:not(.listing-post-associes .jet-listing-dynamic-terms__link) {
  border-radius: 50px;
  border: 1px solid #a2907b;
  white-space: nowrap;
  padding: 4px 14px !important;
  width: fit-content !important;
}

.jet-radio-list .jet-radio-list__item .jet-radio-list__input:checked+.jet-radio-list__button {
  background-color: #a2907b !important;
  border-color: #a2907b !important;
}

.jet-radio-list .jet-radio-list__item .jet-radio-list__input:checked+.jet-radio-list__button .jet-radio-list__label {
  color: #fff;
}

.listing-article-cat .jet-listing-dynamic-terms__link {
  margin-bottom: 10px !important;
}

h2 {
  line-height: normal !important;
}

.listing-ajax-see-more-article-card {
  border-color: #a2907b;
  color: #a2907b;
  height: 100%;
  width: 100%;
}

.listing-blog #listingSeeMoreCardClone {
  max-width: calc(100% / var(--columns) - var(--listing-gap) + var(--listing-gap) / var(--columns)) !important;
}

#listingSeeMoreCardClone {
  cursor: pointer;
  box-shadow: 0px 3px 6px 1px rgba(3, 64, 120, .05);
  color: #000 !important;
  align-items: center;
  justify-content: center;
  border-radius: 2px;
  transition: 200ms;
}

#listingSeeMoreCardClone:hover {
  opacity: .6;
  transition: 200ms;
}

.listing-see-more-card-hidden-wrapper {
  display: none !important;
}

.listing-item-content .wp-block-group {
  align-items: start;
}

.jet-listing-grid__items.loading {
  opacity: 0.6;
  /* Réglez la valeur selon vos besoins */
  pointer-events: none;
  /* Empêche les interactions pendant le chargement */
  transition: 0.2s ease;
  /* Transition douce pour un meilleur rendu */
}

.blog-article-column-associated>* {
  /* position: sticky !important; */
  /* top: 132px; */
  height: 100% !important;
}

.blog-article-column-associated .decouvrir-aussi {
  position: sticky !important;
  top: 132px;
}

.single-post .shoptimizer-archive>.archive-header {
  display: none !important;
}

.article-main-image img {
  max-height: 400px !important;
  width: 100% !important;
  height: 100% !important;
  object-fit: cover;
  margin-bottom: 0 !important;
}

.single-post .col-full {
  padding-left: unset;
  padding-right: unset;
}

.block-7j0qxc {
  padding-left: 20px !important;
  padding-right: 32px !important;
  justify-content: center;
}

.single-post .shoptimizer-archive>.col-full {
  max-width: 100% !important;
}

.is-article-container {
  display: flex !important;
  align-items: center !important;
}

.is-article-container>* {
  max-width: var(--site-container-width) !important;
}

.blog-article-hero {
  align-items: stretch !important;
}

.has-link-style a {
  text-decoration: underline !important;
  color: var(--color-text);
}

.article-content h2 {
  margin-bottom: 16px;
  font-size: 30px;
}

.article-content h3 {
  margin-bottom: 8px;
  font-size: 24px;
}

.article-content *+h2 {
  margin-top: 32px;
}

.article-content p {
  margin-bottom: 16px !important;
}

.article-content *+figure {
  margin-top: 1.5em;
}

.article-content ol,
.article-content ul {
  list-style: disc;
  margin: 0 0 1.5em 20px !important;
}

.article-content img {
  width: 100%;
  text-align: center;
  max-width: 600px !important;
  margin: 0 auto !important;
  display: block !important;
}

.article-content figure {
  max-width: 100%;
  width: 100%;
  margin-bottom: 1.5em;
}

.article-content *:last-child {
  margin-bottom: 0 !important;
}

.has-list ol,
.has-list ul {
  list-style: disc;
  margin: 0 0 1.5em 20px !important;
}

.block-JDmox0 {
  display: flex;
  gap: 4px;
}

.block-lS20sv {
  position: unset;
}

.table-of-contents {
  margin-top: 1em !important;
}

.table-of-contents {
  background-color: #f9f9f9 !important;
  border-radius: 5px !important;
  justify-content: start !important;
  height: 100% !important;
}

.table-of-contents .ingenius-accordion-title {
  padding: 0 24px !important;
  padding-bottom: 8px !important;
}

.ingenius-accordion .ingenius-accordion-item {
  border-bottom: 0 !important;
}

.ingenius-accordion .ingenius-accordion-item:first-child {
  border-top: 0 !important;
}

.ingenius-accordion-item .blog-article-toc-list.ingenius-accordion-content {
  padding: 0 24px !important;
  overflow: scroll;
}

.ingenius-accordion-item.active .blog-article-toc-list.ingenius-accordion-content {
  max-height: 500px !important;
  padding-top: 20px !important;
}

.table-of-contents .ingenius-accordion-item {
  border-radius: 4px !important;
}

.blog-article-toc-list ul:not(.blog-article-toc-list ul ul),
.blog-article-toc-list ol:not(.blog-article-toc-list ol ol),
.simpletoc-list {
  list-style: decimal !important;
}

.blog-article-toc-list ol ol {
  list-style: none !important;
}

.blog-article-toc-list ol ol>li {
  margin-bottom: 7px !important;
}

.blog-article-toc-list ol ol>li:first-child {
  margin-top: 8px !important;
}

.blog-article-toc-list ul,
.blog-article-toc-list ol {
  margin: 0 0 1.5em 20px !important
}

.blog-article-toc-list .simpletoc-list>li+li {
  margin-top: 20px !important;
}

.simpletoc-list li a {
  font-size: 13px;
  line-height: 1.7;
  display: block;
}

.wp-block-uagb-social-share {
  display: flex;
}

.wp-block-uagb-social-share>* {
  cursor: pointer;
}

.uagb-ss__link {
  display: block;
  height: fit-content;
  position: relative;
  top: -5px;
}

.uagb-block-5c9ddaaf .uagb-ss__source-wrap {
  display: block;
  height: 30px;
}

.blog-article-column-associated .jet-listing-grid__items {
  gap: 15px;
}

.listing-post-associes-container .jet-listing-grid__item,
.blog-article-column-associated .jet-listing-grid__item {
  position: relative;
}

.listing-post-associes-container a:before,
.listing-article-associes a:before {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
}

.listing-post-associes-container .main-image-wrapper .main-article-image,
.listing-article-associes .main-article-image {
  width: 80px !important;
  height: 80px !important;
  border-radius: 4px !important;
  margin-bottom: 0;
  overflow: hidden;
}

.listing-post-associes-container .main-image-wrapper img,
.listing-article-associes .main-article-image img {
  width: 80px !important;
  height: 80px !important;
  object-fit: cover;
  margin-bottom: 0;
}

.listing-post-associes-container .main-image-wrapper {
  flex: none !important;
}

.listing-post-associes-container {
  align-items: start !important;
}

.listing-post-associes .jet-listing-grid__item {
  border-radius: 8px;
  border: 2px solid #F0F1F3;
  padding: 5px !important;
  transition: 200ms;
}

.listing-post-associes .jet-listing-grid__item:hover {
  border: 2px solid #211E1D;
  transition: 200ms;
}

.rank-math-breadcrumb * {
  font-size: 12px !important;
}

.listing-post-associes .jet-listing-dynamic-terms__link {
  color: #a2907b;
  font-size: 8px;
  font-style: normal;
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: 1.2px;
}

.button-see-more-article,
.button-see-more-article a {
  width: 100% !important;
}

.author-info {
  display: flex;
  align-items: center;
  gap: 10px;
  /* Espace entre l'image et le texte */
}

.author-avatar-wrapper {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  overflow: hidden;
}

.author-avatar {
  display: block;
  width: 100%;
  height: auto;
  border-radius: 50%;
  /* Image parfaitement ronde */
}

.jet-listing-not-found {
  text-align: start !important;
}



@media only screen and (max-width: 1350px) and (min-width: 0px) {
  .article-content-columns>.wp-block-column:first-child {
    flex-basis: 25% !important;
  }

  .article-content-columns>.wp-block-column:nth-child(2) {
    flex-basis: 50% !important;
  }

  .article-content-columns>.wp-block-column:last-child {
    flex-basis: 25% !important;
  }
}

@media only screen and (max-width: 1164px) and (min-width: 0px) {
  .article-content-columns {
    flex-wrap: wrap !important;
  }

  .article-content-columns>.wp-block-column:first-child {
    flex-basis: calc(33% - 20px) !important;
  }

  .article-content-columns>.wp-block-column:nth-child(2) {
    flex-basis: calc(67% - 20px) !important;
  }

  .article-content-columns>.wp-block-column:last-child {
    flex-basis: 100% !important;
  }

  .blog-article-column-info>div {
    position: sticky;
    top: 150px;
  }

  .ingenius-accordion-item.active .blog-article-toc-list.ingenius-accordion-content {
    max-height: 300px !important;
  }

  .listing-post-associes .jet-listing-grid__item {
    max-width: 300px !important;
  }
}

@media only screen and (min-width: 1024px) {
  .single-post .rank-math-breadcrumb {
    position: absolute;
    top: 24px;
  }
}

@media only screen and (max-width: 1024px) and (min-width: 0px) {
  .blog-article-hero .is-layout-flex {
    gap: 0 !important;
  }

  .article-content-columns {
    flex-direction: column;
  }

  .blog-article-hero {
    flex-direction: column-reverse;
  }

  .block-7j0qxc {
    padding-top: 32px !important;
  }

  /* .article-mobile-breadcrumb {
    background-color: #f9f9f9;
    padding: 10px 20px;
    white-space: nowrap;
    overflow-x: scroll;
  } */
}

@media only screen and (max-width: 600px) and (min-width: 0px) {
  .listing-post-associes .jet-listing-grid__item {
    max-width: 100% !important;
  }
}

.has-full-width-image,
.has-full-width-image * {
  width: 100% !important;
}

.blog-link-back {
  display: flex;
  align-items: center;
  gap: 10px;
}

.blog-link-back::before {
  content: '';
  background: url('data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2253%22%20height%3D%2293%22%20viewBox%3D%220%200%2053%2093%22%20fill%3D%22none%22%3E%3Cpath%20d%3D%22M1.78225e-06%2046.4969C1.85655e-06%2044.7972%200.646975%2043.0967%201.94092%2041.8014L41.6909%201.94606C44.2788%20-0.648688%2048.4712%20-0.648688%2051.0591%201.94606C53.647%204.54081%2053.647%208.74431%2051.0591%2011.3391L15.9828%2046.4969L51.0539%2081.6609C53.6418%2084.2557%2053.6418%2088.4592%2051.0539%2091.0539C48.466%2093.6487%2044.2736%2093.6487%2041.6857%2091.0539L1.93574%2051.1986C0.6418%2049.9012%201.70785e-06%2048.199%201.78225e-06%2046.4969Z%22%20fill%3D%22black%22%3E%3C%2Fpath%3E%3C%2Fsvg%3E') center center no-repeat;
  width: 11px;
  height: 11px;
  display: block;
  background-size: contain;
}

.toc-content {
  background-color: #F9F9F9;
  border-radius: 10px;
  border: 1px solid #ececec;
  margin-top: 20px !important;
}

.table-matieres {
  padding: 20px;
}

.toc-content .toc-title {
  padding: 20px;
  width: 100%;
  border-bottom: 1px solid #ececec;
}

@media screen and (min-width: 1024px) {
  .toc-content {
    position: sticky !important;
    top: 90px
  }
}

/* *** **** *** */
/* *** OLD BLOG *** */
/* *** **** *** */
.post .is-article-container .wp-post-image img {
  max-height: 400px;
  object-fit: cover;
  display: block;
}

.single-post .is-article-container .wp-post-image img {
  max-height: 500px;
  margin-bottom: 2rem;
}

body.single-post h1 {
  margin-bottom: 10px;
}

.blog .post .entry-header h2 a {
  font-size: 24px;
}

.blog .type-post img {
  aspect-ratio: 62/40;
  object-fit: cover;
}

.single-post .entry-content p {
  font-size: 17px;
  line-height: 30px;
  margin-bottom: 10px !important;
  font-weight: 400;
}

/* .single-post .entry-content h2 {
  margin-bottom: 15px !important;
  margin-top: 15px !important;
  padding: 0 !important;
}

.single-post .entry-content h3 {
  margin-bottom: 10px;
}

.type-post .entry-content a {
  font-size: 17px;
}

.single-post .wp-block-image {
  margin: 0;
}

.single-post #main {
  display: flex;
  justify-content: center;
}

.single-post .entry-header,
.single-post .entry-content {
  max-width: 950px !important;
  margin: 0 auto;
}

.single-post .post {
  width: 100%;
}

.single-post li {
  list-style-type: circle !important;
}

.single-post h4 {
  font-weight: 400;
} */